summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2021-10-14 08:03:47 +0200
committerRemi Collet <remi@php.net>2021-10-14 08:03:47 +0200
commit3043172644472b7c6a6e6e27b74c11c2697a68c1 (patch)
treec080c5b088f5b4c627446cd006bc91b3a203ea81
parentc72cff6439136d9538436f72ad76cf4a58caa65a (diff)
update to 3.2.0 (no change)HEADmaster
keep compatibility using laminas-zendframework-bridge as this is only used using compat autolader
-rw-r--r--composer.json9
-rw-r--r--php-laminas-permissions-rbac.spec14
2 files changed, 12 insertions, 11 deletions
diff --git a/composer.json b/composer.json
index dc9a8c7..f6b2422 100644
--- a/composer.json
+++ b/composer.json
@@ -20,11 +20,8 @@
"config": {
"sort-packages": true
},
- "extra": {
- },
"require": {
- "php": "^7.3 || ~8.0.0",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.3 || ~8.0.0 || ~8.1.0"
},
"require-dev": {
"laminas/laminas-coding-standard": "~1.0.0",
@@ -54,7 +51,7 @@
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
- "replace": {
- "zendframework/zend-permissions-rbac": "^3.0.2"
+ "conflict": {
+ "zendframework/zend-permissions-rbac": "*"
}
}
diff --git a/php-laminas-permissions-rbac.spec b/php-laminas-permissions-rbac.spec
index 2b4828a..e7c1bf1 100644
--- a/php-laminas-permissions-rbac.spec
+++ b/php-laminas-permissions-rbac.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit ef224b6c7376d6fc8131b6d5b3609fe2583ffadb
+%global gh_commit ce117f1d2fb8ec8ec6186633bf485a89149fe46f
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-permissions-rbac
@@ -23,7 +23,7 @@
%endif
Name: php-%{gh_project}
-Version: 3.1.0
+Version: 3.2.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library}/%{subproj} component
@@ -56,8 +56,7 @@ BuildRequires: phpunit9 >= 9.3
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.3 || ~8.0.0",
-# "laminas/laminas-zendframework-bridge": "^1.0"
+# "php": "^7.3 || ~8.0.0 || ~8.1.0"
Requires: php(language) >= 7.3
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
@@ -136,7 +135,7 @@ exit (class_exists("\\Zend\\%{library}\\%{subproj}\\Role") ? 0 : 1);
: upstream test suite
ret=0
-for cmd in "php %{phpunit}" php73 php74 php80; do
+for cmd in "php %{phpunit}" php73 php74 php80 php81; do
if which $cmd; then
set $cmd
$1 ${2:-%{_bindir}/phpunit9} \
@@ -162,6 +161,11 @@ exit $ret
%changelog
+* Thu Oct 14 2021 Remi Collet <remi@remirepo.net> - 3.2.0-1
+- update to 3.2.0 (no change)
+- keep compatibility using laminas-zendframework-bridge
+ as this is only used using compat autolader
+
* Fri Apr 9 2021 Remi Collet <remi@remirepo.net> - 3.1.0-1
- update to 3.1.0
- raise dependency on PHP 7.3